python-peak.util_20160204-1_all.deb


Advertisement

Description

python-peak.util - utilities from the Python Enterprise Application Kit

Distribution: Ubuntu 16.04 LTS (Xenial Xerus)
Repository: Ubuntu Universe amd64
Package name: python-peak.util
Package version: 20160204
Package release: 1
Package architecture: all
Package type: deb
Installed size: 199 B
Download size: 65.48 KB
Official Mirror: archive.ubuntu.com
The Python Enterprise Application Kit (PEAK) is a set of Python libraries to help develop large-scale Python applications. PEAK includes libraries and frameworks to support: component integration, component configuration , document-driven testing, event-driven programming, storage management and persistence, domain modelling, and much more. This package provides a subset of utilities related to PEAK, and commonly found as dependencies for PEAK-based components. In particular, this package provides: * AddOns - dynamic mixins with private attribute and methods * BytecodeAssembler - code object generation assembling bytecode * Extremes - absolute max and min values (PEP 326 implementation) * ProxyTypes - general purpose proxy and wrapper types * SymbolType - symbol type, i.e., enumerations

Alternatives

    Download

    Source package: python-peak.util

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install python-peak.util deb package:
      # sudo apt-get install python-peak.util

    Files

    • /usr/lib/python2.7/dist-packages/AddOns-0.7.egg-info/PKG-INFO
    • /usr/lib/python2.7/dist-packages/AddOns-0.7.egg-info/dependency_links.txt
    • /usr/lib/python2.7/dist-packages/AddOns-0.7.egg-info/namespace_packages.txt
    • /usr/lib/python2.7/dist-packages/AddOns-0.7.egg-info/requires.txt
    • /usr/lib/python2.7/dist-packages/AddOns-0.7.egg-info/top_level.txt
    • /usr/lib/python2.7/dist-packages/BytecodeAssembler-0.6.egg-info/PKG-INFO
    • /usr/lib/python2.7/dist-packages/BytecodeAssembler-0.6.egg-info/dependency_links.txt
    • /usr/lib/python2.7/dist-packages/BytecodeAssembler-0.6.egg-info/namespace_packages.txt
    • /usr/lib/python2.7/dist-packages/BytecodeAssembler-0.6.egg-info/requires.txt
    • /usr/lib/python2.7/dist-packages/BytecodeAssembler-0.6.egg-info/top_level.txt
    • /usr/lib/python2.7/dist-packages/Extremes-1.1.1.egg-info/PKG-INFO
    • /usr/lib/python2.7/dist-packages/Extremes-1.1.1.egg-info/dependency_links.txt
    • /usr/lib/python2.7/dist-packages/Extremes-1.1.1.egg-info/namespace_packages.txt
    • /usr/lib/python2.7/dist-packages/Extremes-1.1.1.egg-info/top_level.txt
    • /usr/lib/python2.7/dist-packages/ProxyTypes-0.9.egg-info/PKG-INFO
    • /usr/lib/python2.7/dist-packages/ProxyTypes-0.9.egg-info/dependency_links.txt
    • /usr/lib/python2.7/dist-packages/ProxyTypes-0.9.egg-info/namespace_packages.txt
    • /usr/lib/python2.7/dist-packages/ProxyTypes-0.9.egg-info/top_level.txt
    • /usr/lib/python2.7/dist-packages/SymbolType-1.0.egg-info/PKG-INFO
    • /usr/lib/python2.7/dist-packages/SymbolType-1.0.egg-info/dependency_links.txt
    • /usr/lib/python2.7/dist-packages/SymbolType-1.0.egg-info/namespace_packages.txt
    • /usr/lib/python2.7/dist-packages/SymbolType-1.0.egg-info/top_level.txt
    • /usr/lib/python2.7/dist-packages/peak/util/addons.py
    • /usr/lib/python2.7/dist-packages/peak/util/assembler.py
    • /usr/lib/python2.7/dist-packages/peak/util/extremes.py
    • /usr/lib/python2.7/dist-packages/peak/util/proxies.py
    • /usr/lib/python2.7/dist-packages/peak/util/symbols.py
    • /usr/share/doc/python-peak.util/changelog.Debian.gz
    • /usr/share/doc/python-peak.util/copyright
    • /usr/share/doc/python-peak.util/AddOns/README.txt.gz
    • /usr/share/doc/python-peak.util/BytecodeAssembler/README.txt.gz
    • /usr/share/doc/python-peak.util/Extremes/README.txt
    • /usr/share/doc/python-peak.util/SymbolType/README.txt
    • /usr/share/python/ns/python-peak.util

    Changelog

    2016-02-04 - Daniele Tricoli <eriol@mornie.org> python-peak.util (20160204-1) unstable; urgency=medium [ Jakub Wilk ] * Use canonical URIs for Vcs-* fields. [ Daniele Tricoli ] * New release. - Add peak.util.proxies 0.9. (Closes: #732826) * Replace deprecated dh_pysupport with dh_python2. (Closes: #786317) * Switch watch files to pypi.debian.net. * debian/{clean,rules} - Clean egg-info using in debian/clean instead of override_dh_auto_clean. * debian/compat - Bump debhelper compatibility level to 9. * debian/control - Update Vcs fields for git migration. - Bump Standards-Version to 3.9.7 (no changes needed). - Bump debhelper Build-Depends to (>=9). - Add Add X-Python-Version. - Mention ProxyTypes in Description field. * debian/copyright - Add ProxyTypes source location. - Update copyright years. - Update Format URI. * debian/rules - Make get-orig-source comply to Policy 4.9. * debian/source/lintian-overrides - Override debian-watch-file-is-missing since this package is a collection of several libraries. * debian/README.source - Update.

    2011-09-26 - Daniele Tricoli <eriol@mornie.org> python-peak.util (20110909-1) unstable; urgency=low * Switched to multiple upstream tarballs * Updated upstream packages: - peak.util.addons 0.7 - peak.util.assembler 0.6 (Closes: #606382, LP: #795096) * debian/control - Removed Debian QA Group and added Debian Python Modules Team to Maintainer - Added myself to Uploaders (Closes: #607083) - Bumped Standards-Version to 3.9.2 (no changes needed) * debian/{control,rules} - Switched from cdbs to dh sequencer * debian/copyright - Made DEP5 compliant * debian/patches/01_invoke-multiple-setup.patch - Use a patch to add the setup.py which take care of invocation of multiple setup.py in subdir provided by Stefano Zacchiroli * debian/source/format - Switched to source format 3.0 (quilt)

    2010-12-14 - Jakub Wilk <jwilk@debian.org> python-peak.util (20090610-3) unstable; urgency=low * QA upload. [ Piotr O┼╝arowski ] * Add debian/source/format file (with "1.0" inside) [ Stefano Zacchiroli ] * debian/copyright: document download origin (Closes: #606481) [ Jakub Wilk ] * Remove Stefano Zacchiroli from uploaders. * Set Maintainer to Debian QA Group.

    2009-08-02 - Stefano Zacchiroli <zack@debian.org> python-peak.util (20090610-2) unstable; urgency=low * debian/copyright: remove some leftover cruft * first upload to unstable * debian/control: bump Standards-Version to 3.8.2 (no changes needed)

    2009-06-10 - Stefano Zacchiroli <zack@debian.org> python-peak.util (20090610-1) experimental; urgency=low * First release (Closes: #532625)

    Advertisement
    Advertisement